org.apache.commons.math

## Class DuplicateSampleAbscissaException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.apache.commons.math.MathException
      - - org.apache.commons.math.DuplicateSampleAbscissaException

- All Implemented Interfaces:
    java.io.Serializable, MathThrowable

      public class DuplicateSampleAbscissaException
      extends MathException

  Exception thrown when a sample contains several entries at the same abscissa.
  Since:
    1.2
  Version:
    $Revision: 983921 $ $Date: 2010-08-10 12:46:06 +0200 (mar. 10 août 2010) $
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID` Serializable version identifier

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DuplicateSampleAbscissaException(double abscissa, int i1, int i2)` Construct an exception indicating the duplicate abscissa.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDuplicateAbscissa()` Get the duplicate abscissa.

    - ### Methods inherited from class org.apache.commons.math.MathException

      `getArguments, getGeneralPattern, getLocalizedMessage, getMessage, getMessage, getPattern, getSpecificPattern, printStackTrace, printStackTrace`

    - ### Methods inherited from class java.lang.Throwable

      `fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      Serializable version identifier
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DuplicateSampleAbscissaException

          public DuplicateSampleAbscissaException(double abscissa,
                                          int i1,
                                          int i2)

      Construct an exception indicating the duplicate abscissa.
      Parameters:
        `abscissa` - duplicate abscissa
        `i1` - index of one entry having the duplicate abscissa
        `i2` - index of another entry having the duplicate abscissa

  - ### Method Detail

    - #### getDuplicateAbscissa

          public double getDuplicateAbscissa()

      Get the duplicate abscissa.
      Returns:
        duplicate abscissa

Copyright (c) 2003-2013 Apache Software Foundation